<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:32 UTC 2019 -->
<title>GeoBoundingBox (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GeoBoundingBox (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":9,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoBoundingBox.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/DiskCacheUtility.MigrationResult.html" title="enum in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/GeoBoundingBox.html" target="_top">Frames</a></li>
<li><a href="GeoBoundingBox.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.common</div>
<h2 title="Class GeoBoundingBox" class="title">Class GeoBoundingBox</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.common.GeoBoundingBox</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">GeoBoundingBox</span>
extends java.lang.Object</pre>
<div class="block">Represents a rectangular area in a geographic coordinate system.
 <p>
 Although a bounding box is specified by its top-left and bottom-right corner, the box is not
 necessarily the smallest rectangle spanned by these two points. It is possible to define
 geobounding boxes that are wider than 180 degrees or higher then 90 degrees (e.g. by setting the
 longitude of the top-left corner to a bigger value than the longitude of the bottom-right
 corner). Please note the top-left corner's latitude must be greater than or equal to bottom-right
 corner's latitude. Otherwise, the bounding box will be in invalid state.
 </p>
 <p>
 For example, a geobounding box with longitude of -180 degrees for the top-left corner and a
 longitude of 180 degrees for the bottom-right corner will construct an area that encircles the
 globe, whereas a geobounding box with the same longitude value for both corners will construct an
 area with a width of 0 degrees.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#GeoBoundingBox-com.here.android.mpa.common.GeoCoordinate-float-float-">GeoBoundingBox</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
              float height,
              float width)</code>
<div class="block">Creates a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with a specified center and width and height in distance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#GeoBoundingBox-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.common.GeoCoordinate-">GeoBoundingBox</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft,
              <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</code>
<div class="block">Creates a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with specified top-left and bottom-right coordinates.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#contains-com.here.android.mpa.common.GeoBoundingBox-">contains</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</code>
<div class="block">Determines whether the specified <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> is covered entirely by this
 <code>GeoBoundingBox</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#contains-com.here.android.mpa.common.GeoCoordinate-">contains</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coord)</code>
<div class="block">Determines whether the specified <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> is contained within this
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object other)</code> </td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#expand-float-float-">expand</a></span>(float latitudeMeters,
      float longitudeMeters)</code>
<div class="block">Expands the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> by a fixed distance.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getAreaSize--">getAreaSize</a></span>()</code>
<div class="block">Gets size of the area of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> in square meters.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getBottomRight--">getBottomRight</a></span>()</code>
<div class="block">Gets the current bottom-right <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with altitude set to zero.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getBottomRightBack--">getBottomRightBack</a></span>()</code>
<div class="block">Gets the current bottom-right-back <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getBoundingBoxContainingGeoCoordinates-java.util.List-">getBoundingBoxContainingGeoCoordinates</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; coordinates)</code>
<div class="block">Constructs a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> which contains all coordinates in an array.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getCenter--">getCenter</a></span>()</code>
<div class="block">Gets the center <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Gets the current <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> height, in degrees.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getTopLeft--">getTopLeft</a></span>()</code>
<div class="block">Gets the current top-left <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with altitude set to zero</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getTopLeftFront--">getTopLeftFront</a></span>()</code>
<div class="block">Gets the current top-left-front <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#getWidth--">getWidth</a></span>()</code>
<div class="block">Gets the current <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> width, in degrees.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#intersects-com.here.android.mpa.common.GeoBoundingBox-">intersects</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</code>
<div class="block">Determines whether the intersection of this <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> instance and the specified
 <code>GeoBoundingBox</code> is non-empty.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Determines whether the size of the enclosed <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> area is 0.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#merge-com.here.android.mpa.common.GeoBoundingBox-">merge</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</code>
<div class="block">Merges two <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> objects by returning the smallest <code>GeoBoundingBox</code>
 covering both this <code>GeoBoundingBox</code> and the specified <code>GeoBoundingBox</code>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#mergeBoxes-java.util.List-">mergeBoxes</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a>&gt; bboxes)</code>
<div class="block">Merges multiple <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> objects by returning the smallest
 <code>GeoBoundingBox</code> covering all specified <code>GeoBoundingBox</code> objects.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#resizeToCenter-com.here.android.mpa.common.GeoCoordinate-">resizeToCenter</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coord)</code>
<div class="block">Increases the size of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> until the specified <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> is
 located at the center.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#setBottomRight-com.here.android.mpa.common.GeoCoordinate-">setBottomRight</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</code>
<div class="block">Sets a bottom-right coordinate for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#setCoordinates-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.common.GeoCoordinate-">setCoordinates</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft,
              <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</code>
<div class="block">Sets coordinates for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#setTopLeft-com.here.android.mpa.common.GeoCoordinate-">setTopLeft</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft)</code>
<div class="block">Sets a top-left coordinate for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#toString--">toString</a></span>()</code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GeoBoundingBox-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GeoBoundingBox</h4>
<pre>public GeoBoundingBox(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft,
                      <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</pre>
<div class="block">Creates a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with specified top-left and bottom-right coordinates.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topLeft</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> representing the top-left corner of the bounding box</dd>
<dd><code>bottomRight</code> - A <code>GeoCoordinate</code> representing the bottom-right corner of the bounding box</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if the arguments will construct an invalid <code>GeoBoundingBox</code>.</dd>
</dl>
</li>
</ul>
<a name="GeoBoundingBox-com.here.android.mpa.common.GeoCoordinate-float-float-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GeoBoundingBox</h4>
<pre>public GeoBoundingBox(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> center,
                      float height,
                      float width)</pre>
<div class="block">Creates a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with a specified center and width and height in distance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> representing the geographical center of the bounding box.</dd>
<dd><code>height</code> - The geographical height in meters</dd>
<dd><code>width</code> - The geographical width in meters</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTopLeft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopLeft</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getTopLeft()</pre>
<div class="block">Gets the current top-left <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with altitude set to zero</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current top-left <code>GeoCoordinate</code>.</dd>
</dl>
</li>
</ul>
<a name="getTopLeftFront--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopLeftFront</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getTopLeftFront()</pre>
<div class="block">Gets the current top-left-front <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.
 The altitude of this geocoordinate will be valid only when the <code>GeoBoundingBox</code> was
 created with this information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current top-left-front <code>GeoCoordinate</code>.</dd>
</dl>
</li>
</ul>
<a name="setTopLeft-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTopLeft</h4>
<pre>public boolean setTopLeft(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft)</pre>
<div class="block">Sets a top-left coordinate for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topLeft</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> representing the desired top-left coordinate</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if <code>setTopLeft</code> complete successfully.</dd>
</dl>
</li>
</ul>
<a name="getBottomRight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBottomRight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getBottomRight()</pre>
<div class="block">Gets the current bottom-right <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> with altitude set to zero.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current bottom-right <code>GeoCoordinate</code>.</dd>
</dl>
</li>
</ul>
<a name="getBottomRightBack--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBottomRightBack</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getBottomRightBack()</pre>
<div class="block">Gets the current bottom-right-back <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.
 The altitude of this geocoordinate will be valid only when the <code>GeoBoundingBox</code> was
 created with this information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current bottom-right-back <code>GeoCoordinate</code>.</dd>
</dl>
</li>
</ul>
<a name="setBottomRight-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBottomRight</h4>
<pre>public boolean setBottomRight(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</pre>
<div class="block">Sets a bottom-right coordinate for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bottomRight</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> representing the desired bottom-right coordinate</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if <code>setBottomRight</code> complete successfully.</dd>
</dl>
</li>
</ul>
<a name="setCoordinates-com.here.android.mpa.common.GeoCoordinate-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCoordinates</h4>
<pre>public boolean setCoordinates(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> topLeft,
                              <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> bottomRight)</pre>
<div class="block">Sets coordinates for the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topLeft</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> representing the desired top-left coordinate</dd>
<dd><code>bottomRight</code> - A <code>GeoCoordinate</code> representing the desired bottom-right coordinate</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if <code>setCoordinates</code> complete successfully.</dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public double getWidth()</pre>
<div class="block">Gets the current <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> width, in degrees.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current width</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public double getHeight()</pre>
<div class="block">Gets the current <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> height, in degrees.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current height</dd>
</dl>
</li>
</ul>
<a name="merge-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>merge</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> merge(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</pre>
<div class="block">Merges two <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> objects by returning the smallest <code>GeoBoundingBox</code>
 covering both this <code>GeoBoundingBox</code> and the specified <code>GeoBoundingBox</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bbox</code> - A <code>GeoBoundingBox</code> to merge with this <code>GeoBoundingBox</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The smallest <code>GeoBoundingBox</code> that covers both of the merged
         <code>GeoBoundingBox</code> objects</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#mergeBoxes-java.util.List-"><code>mergeBoxes(List&lt;GeoBoundingBox&gt;)</code></a></dd>
</dl>
</li>
</ul>
<a name="mergeBoxes-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mergeBoxes</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mergeBoxes(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a>&gt; bboxes)</pre>
<div class="block">Merges multiple <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> objects by returning the smallest
 <code>GeoBoundingBox</code> covering all specified <code>GeoBoundingBox</code> objects.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bboxes</code> - A list of <code>GeoBoundingBox</code> objects to merge</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The smallest <code>GeoBoundingBox</code> that covers all of the merged
         <code>GeoBoundingBox</code> objects</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#merge-com.here.android.mpa.common.GeoBoundingBox-"><code>GeoBoundingBox.merge(GeoBoundingBox)</code></a></dd>
</dl>
</li>
</ul>
<a name="contains-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public boolean contains(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</pre>
<div class="block">Determines whether the specified <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> is covered entirely by this
 <code>GeoBoundingBox</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bbox</code> - A <code>GeoBoundingBox</code> to check for containment within this
            <code>GeoBoundingBox</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if covered by the <code>GeoBoundingBox</code>, false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#contains-com.here.android.mpa.common.GeoCoordinate-"><code>GeoBoundingBox.contains(GeoCoordinate)</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundingBoxContainingGeoCoordinates-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBoxContainingGeoCoordinates</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> getBoundingBoxContainingGeoCoordinates(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; coordinates)</pre>
<div class="block">Constructs a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> which contains all coordinates in an array.

 <p>
 The constructed GeoBoundingBox will be the smallest possible box which contains all the
 GeoCoordinate in the input array.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>coordinates</code> - An array of <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> defining the new GeoBoundingBox</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The GeoBoundingBox</dd>
</dl>
</li>
</ul>
<a name="contains-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public boolean contains(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coord)</pre>
<div class="block">Determines whether the specified <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> is contained within this
 <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>coord</code> - A <code>GeoCoordinate</code> to check for containment within this
            <code>GeoBoundingBox</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if contained within the <code>GeoBoundingBox</code>, false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html#contains-com.here.android.mpa.common.GeoBoundingBox-"><code>GeoBoundingBox.contains(GeoBoundingBox)</code></a></dd>
</dl>
</li>
</ul>
<a name="intersects-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre>public boolean intersects(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> bbox)</pre>
<div class="block">Determines whether the intersection of this <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> instance and the specified
 <code>GeoBoundingBox</code> is non-empty.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bbox</code> - A <code>GeoBoundingBox</code> to check for intersection with this
            <code>GeoBoundingBox</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the intersection of <code>GeoBoundingBox</code> objects is non-empty, false
         otherwise</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public boolean isEmpty()</pre>
<div class="block">Determines whether the size of the enclosed <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> area is 0.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the size of the enclosed area is 0, false otherwise</dd>
</dl>
</li>
</ul>
<a name="getCenter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenter</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getCenter()</pre>
<div class="block">Gets the center <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The center coordinate of the <code>GeoBoundingBox</code></dd>
</dl>
</li>
</ul>
<a name="getAreaSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAreaSize</h4>
<pre>public double getAreaSize()</pre>
<div class="block">Gets size of the area of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> in square meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>size of the area.</dd>
</dl>
</li>
</ul>
<a name="resizeToCenter-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resizeToCenter</h4>
<pre>public void resizeToCenter(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coord)</pre>
<div class="block">Increases the size of the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> until the specified <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> is
 located at the center.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>coord</code> - A <code>GeoCoordinate</code> that will become the center of the resized
            <code>GeoBoundingBox</code></dd>
</dl>
</li>
</ul>
<a name="expand-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expand</h4>
<pre>public void expand(float latitudeMeters,
                   float longitudeMeters)</pre>
<div class="block">Expands the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> by a fixed distance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>latitudeMeters</code> - The geographical height in meters to expand the <code>GeoBoundingBox</code></dd>
<dd><code>longitudeMeters</code> - The geographical width in meters to expand the <code>GeoBoundingBox</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object other)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public java.lang.String toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GeoBoundingBox.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/DiskCacheUtility.MigrationResult.html" title="enum in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/GeoBoundingBox.html" target="_top">Frames</a></li>
<li><a href="GeoBoundingBox.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
